<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>All Classes (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":1,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":1,"i9":1,"i10":1,"i11":1,"i12":1,"i13":1,"i14":2,"i15":2,"i16":1,"i17":1,"i18":1,"i19":1,"i20":1,"i21":1,"i22":2,"i23":2,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":2,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":1,"i36":1,"i37":1,"i38":1,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":2,"i47":1,"i48":2,"i49":2,"i50":1,"i51":2,"i52":1,"i53":2,"i54":2,"i55":1,"i56":2,"i57":2,"i58":2,"i59":2,"i60":2,"i61":4,"i62":1,"i63":2,"i64":2,"i65":1,"i66":2,"i67":2,"i68":2,"i69":1,"i70":1,"i71":2,"i72":2,"i73":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Enum Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges">AbstractMessageExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/AbstractMessageExchange.html" title="type parameter in AbstractMessageExchange">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/analytics/AckListener.html" title="interface in io.gitlab.littlesaints.protean.analytics">AckListener</a>&lt;<a href="io/gitlab/littlesaints/protean/analytics/AckListener.html" title="type parameter in AckListener">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/analytics/AggregateStatsListener.html" title="class in io.gitlab.littlesaints.protean.analytics">AggregateStatsListener</a>&lt;<a href="io/gitlab/littlesaints/protean/analytics/AggregateStatsListener.html" title="type parameter in AggregateStatsListener">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/AnalyticsOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">AnalyticsOptions</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/CacheOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">CacheOptions</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/throttle/CompositeThrottle.html" title="class in io.gitlab.littlesaints.protean.throttle">CompositeThrottle</a></td>
<th class="colLast" scope="row">
<div class="block">A composite <a href="io/gitlab/littlesaints/protean/throttle/Throttle.html" title="interface in io.gitlab.littlesaints.protean.throttle"><code>Throttle</code></a> composed of other throttles.</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/Config.html" title="class in io.gitlab.littlesaints.protean.configuration">Config</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/Configuration.html" title="class in io.gitlab.littlesaints.protean.configuration">Configuration</a></td>
<th class="colLast" scope="row">
<div class="block">This represents the configuration for all configured <a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>s.</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Constants.html" title="interface in io.gitlab.littlesaints.protean">Constants</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Constants.Context.html" title="interface in io.gitlab.littlesaints.protean">Constants.Context</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Constants.Exchange.html" title="interface in io.gitlab.littlesaints.protean">Constants.Exchange</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Constants.Statistics.html" title="interface in io.gitlab.littlesaints.protean">Constants.Statistics</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean">Context</a>&lt;<a href="io/gitlab/littlesaints/protean/Context.html" title="type parameter in Context">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/Context.html" title="type parameter in Context">R</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">This represents a complete execution workflow / pipeline.</div>
</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Context.Factory.html" title="interface in io.gitlab.littlesaints.protean">Context.Factory</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/context/ContextBuilder.html" title="class in io.gitlab.littlesaints.protean.context">ContextBuilder</a>&lt;<a href="io/gitlab/littlesaints/protean/context/ContextBuilder.html" title="type parameter in ContextBuilder">E</a>,&#8203;<a href="io/gitlab/littlesaints/protean/context/ContextBuilder.html" title="type parameter in ContextBuilder">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/context/ContextBuilder.html" title="type parameter in ContextBuilder">R</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A builder for <a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/ContextOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ContextOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options to common a <a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html" title="interface in io.gitlab.littlesaints.protean.configuration">Defaults</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/EventAccessor.html" title="interface in io.gitlab.littlesaints.protean.event">EventAccessor</a>&lt;<a href="io/gitlab/littlesaints/protean/event/EventAccessor.html" title="type parameter in EventAccessor">E</a>,&#8203;<a href="io/gitlab/littlesaints/protean/event/EventAccessor.html" title="type parameter in EventAccessor">P</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/EventCache.html" title="interface in io.gitlab.littlesaints.protean.event">EventCache</a>&lt;<a href="io/gitlab/littlesaints/protean/event/EventCache.html" title="type parameter in EventCache">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/EventCache.Factory.html" title="interface in io.gitlab.littlesaints.protean.event">EventCache.Factory</a></td>
<th class="colLast" scope="row">
<div class="block">The factory method for all implementations.</div>
</th>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor</a>&lt;<a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="type parameter in EventExecutor">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="type parameter in EventExecutor">R</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">An interface for executors that common and run the execution workflow / pipeline as defined in a <a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</th>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/EventExecutor.Factory.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor.Factory</a></td>
<th class="colLast" scope="row">
<div class="block">The factory method for all implementations.</div>
</th>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/EventOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">EventOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options to common an Event's instance.</div>
</th>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/ExecutorModeOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ExecutorModeOptions</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/ExecutorOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ExecutorOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options to common an <a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="interface in io.gitlab.littlesaints.protean"><code>EventExecutor</code></a></div>
</th>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/GenericOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">GenericOptions</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/GenericOptions.Builder.html" title="class in io.gitlab.littlesaints.protean.configuration">GenericOptions.Builder</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i27">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Graph.html" title="class in io.gitlab.littlesaints.protean">Graph</a>&lt;<a href="io/gitlab/littlesaints/protean/Graph.html" title="type parameter in Graph">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Defines a complete processing workflow / pipeline.</div>
</th>
</tr>
<tr class="altColor" id="i28">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/GraphOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">GraphOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options to define a <a href="io/gitlab/littlesaints/protean/Graph.html" title="class in io.gitlab.littlesaints.protean"><code>Graph</code></a>.</div>
</th>
</tr>
<tr class="rowColor" id="i29">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedBlockingExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange.html" title="type parameter in LinkedBlockingExchange">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A <code>LinkedBlockingQueue</code> based <a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange</code></a></div>
</th>
</tr>
<tr class="altColor" id="i30">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedBlockingExchange._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i31">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedSyncTransferExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange.html" title="type parameter in LinkedSyncTransferExchange">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A <code>TransferQueue</code> based <a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange</code></a> that uses a <code>LinkedTransferQueue</code></div>
</th>
</tr>
<tr class="altColor" id="i32">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedSyncTransferExchange._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i33">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedTransferExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange.html" title="type parameter in LinkedTransferExchange">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A <code>TransferQueue</code> based <a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange</code></a> that uses a <code>LinkedTransferQueue</code></div>
</th>
</tr>
<tr class="altColor" id="i34">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedTransferExchange._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i35">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.html" title="type parameter in MessageExchange">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">This is a queue for exchanging messages between producers and consumers.</div>
</th>
</tr>
<tr class="altColor" id="i36">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.Factory.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Factory</a></td>
<th class="colLast" scope="row">
<div class="block">The factory method for all implementations.</div>
</th>
</tr>
<tr class="rowColor" id="i37">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Reader</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.Reader.html" title="type parameter in MessageExchange.Reader">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">An interface to read from a resource.</div>
</th>
</tr>
<tr class="altColor" id="i38">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Writer</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/MessageExchange.Writer.html" title="type parameter in MessageExchange.Writer">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i39">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/NamedForkJoinWorkerThread.html" title="class in io.gitlab.littlesaints.protean">NamedForkJoinWorkerThread</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i40">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Node.html" title="class in io.gitlab.littlesaints.protean">Node</a>&lt;<a href="io/gitlab/littlesaints/protean/Node.html" title="type parameter in Node">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Defines a set processing options and configurations for a task to be executed on an event.</div>
</th>
</tr>
<tr class="rowColor" id="i41">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/NodeOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">NodeOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options that define a <a href="io/gitlab/littlesaints/protean/Node.html" title="class in io.gitlab.littlesaints.protean"><code>Node</code></a>.</div>
</th>
</tr>
<tr class="altColor" id="i42">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/executor/OrderedExecutionExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">OrderedExecutionExchange</a></td>
<th class="colLast" scope="row">
<div class="block">This executor performs ordered executions.</div>
</th>
</tr>
<tr class="rowColor" id="i43">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/executor/OrderedExecutionExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">OrderedExecutionExchange._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i44">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/Processor.html" title="class in io.gitlab.littlesaints.protean">Processor</a>&lt;<a href="io/gitlab/littlesaints/protean/Processor.html" title="type parameter in Processor">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i45">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/ProcessorOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ProcessorOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options for configuring a <a href="io/gitlab/littlesaints/protean/Processor.html" title="class in io.gitlab.littlesaints.protean"><code>Processor</code></a>.</div>
</th>
</tr>
<tr class="altColor" id="i46">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/Props.html" title="class in io.gitlab.littlesaints.protean.configuration">Props</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i47">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html" title="interface in io.gitlab.littlesaints.protean.resources">ProteanResources</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i48">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/ProteanResources._Registrar.html" title="class in io.gitlab.littlesaints.protean.resources">ProteanResources._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i49">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.Locator.html" title="class in io.gitlab.littlesaints.protean.resources">ProteanResources.Locator</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i50">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/Registrar.html" title="interface in io.gitlab.littlesaints.protean.resources">Registrar</a></td>
<th class="colLast" scope="row">
<div class="block">A marker interface for auto loading services.</div>
</th>
</tr>
<tr class="rowColor" id="i51">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/Registry.html" title="class in io.gitlab.littlesaints.protean.resources">Registry</a>&lt;<a href="io/gitlab/littlesaints/protean/resources/Registry.html" title="type parameter in Registry">T</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A Generic repository to support service lookup.</div>
</th>
</tr>
<tr class="altColor" id="i52">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/resources/ResourceLocator.html" title="interface in io.gitlab.littlesaints.protean.resources">ResourceLocator</a></td>
<th class="colLast" scope="row">
<div class="block">It's used to lookup named resources.</div>
</th>
</tr>
<tr class="rowColor" id="i53">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="class in io.gitlab.littlesaints.protean.context">SimpleContext</a>&lt;<a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="type parameter in SimpleContext">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="type parameter in SimpleContext">R</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">This represents a complete execution workflow / pipeline.</div>
</th>
</tr>
<tr class="altColor" id="i54">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/context/SimpleContext._Registrar.html" title="class in io.gitlab.littlesaints.protean.context">SimpleContext._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i55">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/SimpleEvent.html" title="interface in io.gitlab.littlesaints.protean.event">SimpleEvent</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>ConcurrentHashMap</code> based implementation of an Event.</div>
</th>
</tr>
<tr class="altColor" id="i56">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/SimpleEventCache.html" title="class in io.gitlab.littlesaints.protean.event">SimpleEventCache</a>&lt;<a href="io/gitlab/littlesaints/protean/event/SimpleEventCache.html" title="type parameter in SimpleEventCache">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A minimal Events cache used by the <a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="interface in io.gitlab.littlesaints.protean"><code>EventExecutor</code></a>, if it's configured for caching.</div>
</th>
</tr>
<tr class="rowColor" id="i57">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/SimpleEventCache._Registrar.html" title="class in io.gitlab.littlesaints.protean.event">SimpleEventCache._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i58">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/SingleThreadEvent.html" title="class in io.gitlab.littlesaints.protean.event">SingleThreadEvent</a></td>
<th class="colLast" scope="row">
<div class="block">An event to be used when it's being accessed by a single thread.</div>
</th>
</tr>
<tr class="rowColor" id="i59">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/throttle/SizeThrottle.html" title="class in io.gitlab.littlesaints.protean.throttle">SizeThrottle</a></td>
<th class="colLast" scope="row">
<div class="block">A size based <a href="io/gitlab/littlesaints/protean/throttle/Throttle.html" title="interface in io.gitlab.littlesaints.protean.throttle"><code>Throttle</code></a>.</div>
</th>
</tr>
<tr class="altColor" id="i60">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/throttle/SizeThrottle.Registrar.html" title="class in io.gitlab.littlesaints.protean.throttle">SizeThrottle.Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i61">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a></td>
<th class="colLast" scope="row">
<div class="block">The state (outcome) of events during / after processing.</div>
</th>
</tr>
<tr class="altColor" id="i62">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/analytics/StatsListener.html" title="interface in io.gitlab.littlesaints.protean.analytics">StatsListener</a>&lt;<a href="io/gitlab/littlesaints/protean/analytics/StatsListener.html" title="type parameter in StatsListener">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i63">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/analytics/StatsLogger.html" title="class in io.gitlab.littlesaints.protean.analytics">StatsLogger</a>&lt;<a href="io/gitlab/littlesaints/protean/analytics/StatsLogger.html" title="type parameter in StatsLogger">E</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i64">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/StructuredLoggers.html" title="class in io.gitlab.littlesaints.protean">StructuredLoggers</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i65">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/StructuredLoggers.Format.html" title="interface in io.gitlab.littlesaints.protean">StructuredLoggers.Format</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i66">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="class in io.gitlab.littlesaints.protean.executors.sync">SyncExecutor</a>&lt;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">E</a>,&#8203;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">R</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">This is a Synchronous <a href="io/gitlab/littlesaints/protean/EventExecutor.html" title="interface in io.gitlab.littlesaints.protean"><code>EventExecutor</code></a>.</div>
</th>
</tr>
<tr class="rowColor" id="i67">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor._Registrar.html" title="class in io.gitlab.littlesaints.protean.executors.sync">SyncExecutor._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i68">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/event/ThreadSafeEvent.html" title="class in io.gitlab.littlesaints.protean.event">ThreadSafeEvent</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>ConcurrentHashMap</code> based implementation of an Event.</div>
</th>
</tr>
<tr class="rowColor" id="i69">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/throttle/Throttle.html" title="interface in io.gitlab.littlesaints.protean.throttle">Throttle</a></td>
<th class="colLast" scope="row">
<div class="block">This puts a constraint/check on messages being input into the processing workflow / pipeline.</div>
</th>
</tr>
<tr class="altColor" id="i70">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/throttle/Throttle.Factory.html" title="interface in io.gitlab.littlesaints.protean.throttle">Throttle.Factory</a></td>
<th class="colLast" scope="row">
<div class="block">The factory method for all implementations.</div>
</th>
</tr>
<tr class="rowColor" id="i71">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/configuration/ThrottleOptions.html" title="class in io.gitlab.littlesaints.protean.configuration">ThrottleOptions</a></td>
<th class="colLast" scope="row">
<div class="block">Options to common a <a href="io/gitlab/littlesaints/protean/throttle/Throttle.html" title="interface in io.gitlab.littlesaints.protean.throttle"><code>Throttle</code></a> for a <a href="io/gitlab/littlesaints/protean/Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
</th>
</tr>
<tr class="altColor" id="i72">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">UnOrderedExecutionExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange.html" title="type parameter in UnOrderedExecutionExchange">E</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">This executor performs un-ordered executions.</div>
</th>
</tr>
<tr class="rowColor" id="i73">
<td class="colFirst"><a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">UnOrderedExecutionExchange._Registrar</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</tbody>
</table>
</div>
</div>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
